LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAnimation Interface Reference

This interface defines an animation sequence. More...

`import"XAnimation.idl";`

Inheritance diagram for XAnimation:

## Public Member Functions
void | render ([in] XCanvas canvas, [in] ViewState viewState, [in] double t) raises (com::sun::star::lang::IllegalArgumentException)
| Render the animation content at time t into the specified canvas. More...
AnimationAttributes | getAnimationAttributes ()
| Request the attribute information for this animation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface defines an animation sequence.

This interface must be implemented by every animation object. It is used by the XCanvas interface to render generic animations.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getAnimationAttributes()

AnimationAttributes getAnimationAttributes | ( |  | ) |

Request the attribute information for this animation.

This method returns the AnimationAttributes structure, which defines more closely how to play this animation.

Returns
  the requested AnimationAttributes structure.

## ◆ render()

void render | ( | [in] XCanvas | canvas,
|  | [in] ViewState | viewState,
|  | [in] double | t
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Render the animation content at time t into the specified canvas.

Note that it is perfectly legal to e.g. map t in a nonlinear fashion to internal frames, for example to achieve acceleration or deceleration effects. It is required that the render method has const semantics, i.e. when called with the same parameter set, identical output must be generated. This is because e.g. a Sprite might decide arbitrarily to render an animation once and cache the result, or repaint it via XAnimation::render every time.

The rendered content, although, must be exactly the same for identical viewState, canvas and t values. Or, for that matters, must call the same canvas methods in the same order with the same parameter sets, for identical viewState and t values. Furthermore, when viewState has the identity transformation set, rendered output must be contained in a rectangle with upper left corner at (0,0) and width and height given by the AnimationAttributes' untransformedSize member. Any content exceeding this box might get clipped off.

Parameters

  canvas | The target canvas to render this animation to.
  viewState | The view state to be used when rendering this animation to the target canvas. The view transformation matrix must not be singular.
  t | Time instant for which animation content is requested. The range must always be [0,1], where 0 denotes the very beginning, and 1 the end of the animation sequence.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if one of the passed parameters does not lie in the specified, permissible range.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XAnimation.idl